<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/unique.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p2 { color: #ffffe0; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
.textRainbow_lv0_p1 { color: #add8e6; }
.textRainbow_lv0_p2 { color: #add8e6; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>03/31/83  unique
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>Syntax:  unique <span class="textRainbow_lv0_p2">{</span>arg<span class="textRainbow_lv0_p2">}</span>
<span id="L4" class="LineNr"> 4 </span>
<span id="L5" class="LineNr"> 5 </span>
<span id="L6" class="LineNr"> 6 </span>Syntax as active function:  <span class="textRainbow_lv0_p1">[</span>unique <span class="textRainbow_lv1_p2">{</span>arg<span class="textRainbow_lv1_p2">}</span><span class="textRainbow_lv0_p1">]</span>
<span id="L7" class="LineNr"> 7 </span>
<span id="L8" class="LineNr"> 8 </span>
<span id="L9" class="LineNr"> 9 </span>Function:  returns a unique character string as generated by the
<span id="L10" class="LineNr">10 </span>unique_chars_ subroutine <span class="textRainbow_lv0_p0">(</span>described in the Subroutines manual<span class="textRainbow_lv0_p0">)</span>.  Unique
<span id="L11" class="LineNr">11 </span>character strings are 15 characters long and begin with an exclamation
<span id="L12" class="LineNr">12 </span>mark <span class="textRainbow_lv0_p0">(</span>!<span class="textRainbow_lv0_p0">)</span>.
<span id="L13" class="LineNr">13 </span>
<span id="L14" class="LineNr">14 </span>
<span id="L15" class="LineNr">15 </span>Arguments:
<span id="L16" class="LineNr">16 </span>arg
<span id="L17" class="LineNr">17 </span>   is an octal number from which the unique character string is to be
<span id="L18" class="LineNr">18 </span>   generated.  If arg is omitted, the current clock value is assumed.
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
